Search:

# CWIS Developers Documentation

Public Member Functions | Public Attributes

# XMLStream Class Reference

## Public Member Functions
| XMLStream ($StartingIndentLevel=0, $IndentSize=4)
| AddElement ($Name=SCOUTXMLSTREAMNULLVALUE, $Content=SCOUTXMLSTREAMNULLVALUE, $Attributes=SCOUTXMLSTREAMNULLVALUE)
| OpenElement ($Name, $Attributes=SCOUTXMLSTREAMNULLVALUE)
| CloseElement ()
| GetContent ()
| ClearContent ()
| IndentLevel ($NewIndentLevel=NULL)
| IndentSize ($NewIndentSize=NULL)
## Public Attributes
| $CurrentIndentLevel
| $CurrentIndentSize
| $OpenTagStack
| $Stream

List of all members.

## Detailed Description

Definition at line 31 of file XMLStream.php.

## Member Function Documentation

XMLStream::AddElement | ( | $ | Name = `SCOUTXMLSTREAMNULLVALUE`,
|  | $ | Content = `SCOUTXMLSTREAMNULLVALUE`,
|  | $ | Attributes = `SCOUTXMLSTREAMNULLVALUE`
| ) |  |

Definition at line 50 of file XMLStream.php.

Referenced by CloseElement(), and OpenElement().

Here is the caller graph for this function:

XMLStream::ClearContent | ( | ) |

Definition at line 136 of file XMLStream.php.

XMLStream::CloseElement | ( | ) |

Definition at line 124 of file XMLStream.php.

References AddElement().

XMLStream::GetContent | ( | ) |

Definition at line 130 of file XMLStream.php.

XMLStream::IndentLevel | ( | $ | NewIndentLevel = `NULL` ) |

Definition at line 142 of file XMLStream.php.

XMLStream::IndentSize | ( | $ | NewIndentSize = `NULL` ) |

Definition at line 156 of file XMLStream.php.

XMLStream::OpenElement | ( | $ | Name,
|  | $ | Attributes = `SCOUTXMLSTREAMNULLVALUE`
| ) |  |

Definition at line 118 of file XMLStream.php.

References AddElement().

XMLStream::XMLStream | ( | $ | StartingIndentLevel = `0`,
|  | $ | IndentSize = `4`
| ) |  |

Definition at line 36 of file XMLStream.php.

## Member Data Documentation

XMLStream::$CurrentIndentLevel

Definition at line 172 of file XMLStream.php.

XMLStream::$CurrentIndentSize

Definition at line 173 of file XMLStream.php.

XMLStream::$OpenTagStack

Definition at line 174 of file XMLStream.php.

XMLStream::$Stream

Definition at line 175 of file XMLStream.php.

The documentation for this class was generated from the following file:

- XMLStream.php